CUDA Runtime API (PDF) - v11.0.207 (older) - Last updated June 29, 2020 - Send Feedback

## 6.6. cudaEglPlaneDesc Struct Reference

## [Data types used by CUDA Runtime]

CUDA EGL Plane Descriptor - structure defining each plane of a CUDA EGLFrame

### Public Variables

struct cudaChannelFormatDesc channelDesc
unsigned int depth
unsigned int height
unsigned int numChannels
unsigned int pitch
unsigned int reserved[4]
unsigned int width

### Variables

struct cudaChannelFormatDesc cudaEglPlaneDesc::channelDesc [inherited]

  Channel Format Descriptor

unsigned int cudaEglPlaneDesc::depth [inherited]

  Depth of plane

unsigned int cudaEglPlaneDesc::height [inherited]

  Height of plane

unsigned int cudaEglPlaneDesc::numChannels [inherited]

  Number of channels for the plane

unsigned int cudaEglPlaneDesc::pitch [inherited]

  Pitch of plane

unsigned int cudaEglPlaneDesc::reserved[4] [inherited]

  Reserved for future use

unsigned int cudaEglPlaneDesc::width [inherited]

  Width of plane